# @zohodesk/fullscreen in react

A React component that sets it fullscreen using the Fullscreen Component.

## Usage

### Install.

```bash
npm install @zohodesk/fullscreen
```

### Import component.

```javascript
import Fullscreen from '@zohodesk/fullscreen';
```

### Implementation.

```jsx
import React, { useState } from 'react';
import Fullscreen from '@zohodesk/fullscreen';
function Example() {
  const [isEnabled, setIsEnabled] = useState(false);
  return (
    <Fullscreen isEnabled={isEnabled} onChange={setIsEnabled}>
      <button
        onClick={() => {
          setIsEnabled(true);
        }}
      >
        Go Fullscreen
      </button>
    </Fullscreen>
  );
}
export default Example;
```

## CSS

Class `fullscreenEnabled` will be added to component when it goes fullscreen.

```css
.myComponent {
  color: #fff;
}

.fullscreenEnabled .myComponent {
  color: #000;
}
```

## Version Changes

# 0.0.1

- Fullscreen basic functionality changes implemented.

# 0.1.1

- Test release

## UPCOMING

- Set children to fullscreen
